* {
  box-sizing: border-box;
  font-family: Avenir, sans-serif;
  margin: 0;
  padding: 0;
}
html, body {
  background-color: #333;
  color: #eee;
}
h1 {
  text-align: center;
}
h3 {
  margin-top: 2rem;
  margin-bottom: 1rem;
}
.max-width-wrapper {
  max-width: 1000px;
  margin: 0 auto;
}
hr {
  border: none;
  border-bottom: 1px solid #333;
  margin: 16px auto;
  width: 90%;
}
pre {
  background-color: rgb(0,0,0,.13);
  border: 1px solid #bbb;
  border-radius: 16px;
  box-shadow: 0 1px 2px rgb(0,0,0,.2);
  margin-top: 16px;
  padding: 8px;
  position: relative;
  white-space: pre-wrap;
}
p {
  line-height: 1.5;
  margin-bottom: .5rem;
}

#app {
  background-color: #eee;
  border: 1px solid #ccc;
  border-radius: 32px;
  box-shadow: 0 4px 8px rgb(0,0,0,.3);
  color: #333;
  padding: 24px;
}

input, select {
  font-size: 1rem;
  margin: 0 0.5rem;
  padding: 2px 6px;
}

.button {
  background: none;
  border: 2px solid #444;
  border-radius: 4px;
  color: #444;
  font-weight: bold;
  padding: 4px 8px;
  transition: color .3s, background-color .3s;
}
.button:hover {
  background-color: #444;
  color: #ccc;
}

.btn-round {
  border-radius: 50%;
}

.btnCopy {
  right: 16px;
  position: absolute;
  top: 16px;
}

.copied, .copied:hover {
  background: none;
  color: green;
}

.full-width {
  /* display: inline-block; */
  width: 80%;
}

.dialog {
  background-color: rgb(0,0,0,.5);
  inset: 0;
  position: fixed;
}

.dialog-contents {
  background-color: #eee;
  border: 1px solid #ccc;
  border-radius: 16px;
  left: 50%;
  padding: 2rem;
  position: absolute;
  text-align: center;
  top: 50%;
  transform: translate(-50%,-50%);
}

.tx-plan p .btn-next-visit {
  display: none;
}

.tx-plan p:hover .btn-next-visit {
  display: inline-block;
}

textarea {
  font-size: 1rem;
}

.sending {
  /* display: none; */
  background-color: rgb(0,0,0,.5);
  inset: 0;
  position: fixed;
}
.sending .box {
  background-color: #eee;
  border: 1px solid #ccc;
  border-radius: 16px;
  left: 50%;
  padding: 0 2rem;
  position: absolute;
  text-align: center;
  top: 50%;
  transform: translate(-50%,-50%);
}

/* Loading Spinner */

.lds-ring {
  display: inline-block;
  position: relative;
  width: 80px;
  height: 80px;
}
.lds-ring div {
  box-sizing: border-box;
  display: block;
  position: absolute;
  width: 64px;
  height: 64px;
  margin: 8px;
  border: 8px solid #888;
  border-radius: 50%;
  animation: lds-ring 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
  border-color: #888 transparent transparent transparent;
}
.lds-ring div:nth-child(1) {
  animation-delay: -0.45s;
}
.lds-ring div:nth-child(2) {
  animation-delay: -0.3s;
}
.lds-ring div:nth-child(3) {
  animation-delay: -0.15s;
}
@keyframes lds-ring {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

footer {
  font-size: .6rem;
  margin-top: 1rem;
  text-align: center;
}